Bug 628040 - (CVE-2010-3677) CVE-2010-3677 MySQL: Mysqld DoS (crash) by processing joins involving a table with a unique SET column (MySQL BZ#54575)
CVE-2010-3677 MySQL: Mysqld DoS (crash) by processing joins involving a table...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100709,reported=20100827,sou...
: Security
Depends On: 636780 645642 645643 652553 652554 833943
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-27 13:41 EDT by Jan Lieskovsky
Modified: 2015-10-23 10:57 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 08:54:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-27 13:41:42 EDT
A denial of service flaw was found in the way MySQL processed joins queries,
which involved a table with unique SET column. A remote MySQL user could
use this flaw to cause mysqld daemon crash.

References:
  [1] http://secunia.com/advisories/41048/
  [2] http://dev.mysql.com/doc/refman/5.1/en/news-5-1-49.html

Upstream bug report:
  [3] http://bugs.mysql.com/bug.php?id=54575

Note:
This issue only causes a temporary denial of service, as the mysql daemon
shipped with Red Hat Enterprise Linux 5 will be automatically restarted
after the crash.
Comment 1 Jan Lieskovsky 2010-08-27 13:44:41 EDT
Public proof of concept (from [3]):

drop table if exists `t1`,`t2`;
create table `t1`(`a` set('a')not null,unique key (`a`))engine=myisam;
create table `t2`(`b` int primary key)engine=innodb;
insert into `t1` values ();
insert into `t2` values (1);
select 1 from `t2` join `t1` on 1 like `a` group by `a`;
Comment 8 Jan Lieskovsky 2010-08-28 08:07:39 EDT
This issue did NOT affect the versions of mysql package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue affects the versions of mysql package, as shipped with
Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this issue as having
low security impact, as exploitation of this issue would mean only
a temporary denial of service, since the mysql daemon shipped with
Red Hat Enterprise Linux 5 will be automatically restarted after
the crash.

A future update may address this flaw in Red Hat Enterprise Linux 5.

--

This issue affects the versions of mysql package, as shipped with
Fedora release of 12 and 13.
Comment 12 Jan Lieskovsky 2010-08-31 08:54:28 EDT
CVE Request: http://www.openwall.com/lists/oss-security/2010/08/30/8
Comment 15 Jan Lieskovsky 2010-09-23 05:18:51 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 636780]
Comment 16 Jan Lieskovsky 2010-09-29 04:37:28 EDT
The CVE identifier of CVE-2010-3677 has been assigned to this issue.
Comment 19 errata-xmlrpc 2010-11-03 16:21:53 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0825 https://rhn.redhat.com/errata/RHSA-2010-0825.html
Comment 20 Vincent Danen 2010-11-03 16:47:49 EDT
Statement:

This issue did not affect the versions of mysql as shipped with Red Hat Enterprise Linux 3 and 4. This issue was addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2010-0825.html.
Comment 22 errata-xmlrpc 2011-01-18 13:43:00 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0164 https://rhn.redhat.com/errata/RHSA-2011-0164.html

Note You need to log in before you can comment on or make changes to this bug.